Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.om.mapper
Class StringMapperTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase
                  org.apache.torque.om.mapper.StringMapperTest

All Implemented Interfaces:
  junit.framework.Test

    public class StringMapperTest

extends BaseTestCase

Field Summary

Fields inherited from class org.apache.torque.BaseTestCase
`CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, tableMap`

Constructor Summary
`StringMapperTest()`

Method Summary
`void` | `setUp()` Re-Initialize Torque and fill supplied data.
`void` | `testProcessRow()` Tests the processRow method for a mapper without internal Offset.
`void` | `testProcessRowInternalOffset()` Tests the processRow method for a mapper with internal Offset.
`void` | `testProcessRowSqlException()` Tests the processRow method if the resultSet throws a SqlException.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringMapperTest

    public StringMapperTest()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Description copied from class: `BaseTestCase`
  Re-Initialize Torque and fill supplied data. Subclasses which override setUp() must call super.setUp() as their first action.

  Overrides:
    `setUp` in class `BaseTestCase`
  Throws:
    `Exception` - if initialisation fails.

### testProcessRow

    public void testProcessRow()
                        throws Exception

  Tests the processRow method for a mapper without internal Offset.

  Throws:
    `Exception` - if the test fails

### testProcessRowInternalOffset

    public void testProcessRowInternalOffset()
                                      throws Exception

  Tests the processRow method for a mapper with internal Offset.

  Throws:
    `Exception` - if the test fails

### testProcessRowSqlException

    public void testProcessRowSqlException()
                                    throws Exception

  Tests the processRow method if the resultSet throws a SqlException.

  Throws:
    `Exception` - if the test fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.